Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.msg
Class RegisterMessageImp

    java.lang.Object
      com.atomikos.icatch.msg.AbstractMessage
          com.atomikos.icatch.msg.RegisterMessageImp

All Implemented Interfaces:
  RegisterMessage, TransactionMessage

    public class RegisterMessageImp

extends AbstractMessage
implements RegisterMessage

Field Summary

Fields inherited from interface com.atomikos.icatch.msg.TransactionMessage
`COMMIT_MESSAGE, ERROR_MESSAGE, FORGET_MESSAGE, FORMAT_SOAP, FORMAT_UNKNOWN, PREPARE_MESSAGE, PREPARED_MESSAGE, REGISTER_MESSAGE, REGISTERED_MESSAGE, REPLAY_MESSAGE, ROLLBACK_MESSAGE, STATE_MESSAGE`

Constructor Summary
`RegisterMessageImp(int protocol, int format, Object targetAddress, String targetURI, Object senderAddress, String senderURI, boolean for2PC)`

Method Summary
`int` | `getMessageType()` Get the message type.
`boolean` | `registerForTwo2PC()` Indicates if the registration is for 2PC or rather for synchronization.

Methods inherited from class com.atomikos.icatch.msg.AbstractMessage
`getFormat, getProtocol, getSenderAddress, getSenderURI, getTargetAddress, getTargetURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.atomikos.icatch.msg.TransactionMessage
`getFormat, getProtocol, getSenderAddress, getSenderURI, getTargetAddress, getTargetURI`

Constructor Detail

### RegisterMessageImp

    public RegisterMessageImp(int protocol,
                              int format,
                              Object targetAddress,
                              String targetURI,
                              Object senderAddress,
                              String senderURI,
                              boolean for2PC)

Parameters:
  `protocol` -
  `format` -
  `targetAddress` -
  `targetURI` -
  `senderAddress` -
  `senderURI` -
  `for2PC` -

Method Detail

### getMessageType

    public int getMessageType()

  Description copied from interface: `TransactionMessage`
  Get the message type.

  Specified by:
    `getMessageType` in interface `TransactionMessage`
  Returns:
    int One of the predefined types.
  See Also:
    `TransactionMessage.getMessageType()`

### registerForTwo2PC

    public boolean registerForTwo2PC()

  Description copied from interface: `RegisterMessage`
  Indicates if the registration is for 2PC or rather for synchronization.

  Specified by:
    `registerForTwo2PC` in interface `RegisterMessage`
  Returns:
    True if for 2PC, false if for synchronization.
  See Also:
    `RegisterMessage.registerForTwo2PC()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.